Skip to main content
Monitoring & Collection/Scrape Collection

ListScrapeTargets

List all registered scrape targets

GET/api/v1/monitoring/scrape-targets

Operation ID

ListScrapeTargets

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • uuid
      String

      Unique identifier of the scrape target

      Example: target-001-abc

    • name
      String

      Display name of the scrape target

      Example: node-exporter-host01

    • endpoint
      String

      HTTP endpoint URL to scrape metrics from

      Example: http://192.168.1.10:9100

    • metricsPath
      String

      Path on the endpoint to fetch metrics (e.g. /metrics)

      Example: /metrics

    • scrapeInterval
      Integer

      Interval in seconds between scrapes

      Example: 15

    • labels
      LinkedHashMap

      Key-value labels attached to this resource

      Example: (nested object)

    • enabled
      Boolean

      Whether this scrape target is active

      Example: true

    • tenantUuid
      String

      UUID of the tenant this target belongs to

      Example: tenant-001-xyz

    • createdAt
      String

      Created at

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of scrape targets

    Example: 12

  • limit
    Integer

    Maximum items per page

    Example: 20

  • offset
    Integer

    Number of items skipped

    Example: 20